Bug 38032 - MASTER_SITE_THEMES is gone
Summary: MASTER_SITE_THEMES is gone
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-13 14:20 UTC by hendrik
Modified: 2003-02-15 15:15 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hendrik 2002-05-13 14:20:02 UTC
MASTER_SITE_THEMES aka ftp.themes.org is gone. themes.org moved to themes.freshmeat.net and the FTP server does not respond.

The following ports are thus broken right now:

x11-toolkits/buffy/Makefile
x11-toolkits/clean-theme-gtk/Makefile
x11-toolkits/colorstep/Makefile
x11-toolkits/engradient/Makefile
x11-toolkits/gtk-Mac2-theme/Makefile
x11-toolkits/gtk-flat-theme/Makefile
x11-toolkits/gtk-qn-x11-theme/Makefile
x11-toolkits/gtk-zenith-theme/Makefile
x11-toolkits/gtkbe/Makefile
x11-toolkits/gtkstep-pastel/Makefile
x11-toolkits/notif2/Makefile
x11-toolkits/thinice/Makefile
x11-toolkits/whistlerk/Makefile
x11-toolkits/xenophilia/Makefile
x11-toolkits/xenostep/Makefile

Fix: 

No known fix. I'm looking for mirrors and sites which have the tarballs so I could create a new download site.
How-To-Repeat: Try to reach ftp.themes.org
Comment 1 Hendrik Scholz 2002-05-13 14:56:02 UTC
Hi!

http://download.freshmeat.net/themes/ seems to have at least some files.
I tested the gtk-qn-x11-engine port and there are some minor changes that
have to be done due to the fact that filenames have changes.
I will commit a large patch tomorrow which fixes the problems.
MASTER_SITE_THEMES has to be set to http://download.freshmeat.net/themes :)

Hendrik

-- 
Hendrik Scholz - <hscholz@raisdorf.net> - http://raisdorf.net/

drag me, drop me - treat me like an object
Comment 2 Hendrik Scholz 2002-05-14 03:38:22 UTC
Hi!

I created a patch for the following ports:

- x11-toolkits/buffy
- x11-toolkits/clean-theme-gtk
- x11-toolkits/colorstep
- x11-toolkits/engradient
- x11-toolkits/gtk-Mac2-theme
- x11-toolkits/gtk-flat-theme
- x11-toolkits/gtk-qn-x11-theme
- x11-toolkits/gtk-zenith-theme
- x11-toolkits/gtkbe
- x11-toolkits/gtkstep-pastel
- x11-toolkits/notif2
- x11-toolkits/thinice
- x11-toolkits/whistlerk
- x11-toolkits/xenophilia
- x11-toolkits/xenostep

These are all ports that have the MASTER_SITE_THEMES in any file.
MASTER_SITE_THEMES has to be set to http://download.freshmeat.net/themes

The patch for the ports tree can be downloaded from http://www.raisdorf.net/files/FreeBSD/gtk-themes.patch

Most of the ports have a string like 20020101 as version. Where possible
I set this to the real version number in the tarball. Freshmeat stores
the themes with a different naming convention on their server so this
makes more sense to me.

Hendrik

-- 
Hendrik Scholz - <hscholz@raisdorf.net> - http://raisdorf.net/

drag me, drop me - treat me like an object
Comment 3 Tilman Keskinoz freebsd_committer 2003-02-15 15:15:47 UTC
State Changed
From-To: open->closed

Committed, thanks